> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trypekto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create brand kit

> Create a new brand identity kit with colors, fonts, and optional logo. Requires brand_kits:write.



## OpenAPI

````yaml /openapi.json post /brand-kits
openapi: 3.1.0
info:
  title: Pekto Developer API
  version: 1.0.0
  description: >-
    Generate editable presentations and LinkedIn/Instagram carousels, read and
    edit projects, browse templates and brand kits, and schedule social posts.
servers:
  - url: https://fwpvfpysaskvlxgwcaxk.supabase.co/functions/v1/api-v1
    description: Production Pekto Developer API
security:
  - bearerAuth: []
paths:
  /brand-kits:
    post:
      summary: Create brand kit
      description: >-
        Create a new brand identity kit with colors, fonts, and optional logo.
        Requires brand_kits:write.
      operationId: createBrandKit
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - kit_name
              properties:
                kit_name:
                  type: string
                  maxLength: 100
                brand_name:
                  type: string
                  maxLength: 100
                brand_tagline:
                  type: string
                  maxLength: 200
                brand_logo_url:
                  type: string
                  format: uri
                  description: https URL of the logo image.
                brand_primary_color:
                  type: string
                brand_secondary_color:
                  type: string
                brand_accent_color:
                  type: string
                brand_background_color:
                  type: string
                brand_font_heading:
                  type: string
                brand_font_body:
                  type: string
                is_default:
                  type: boolean
      responses:
        '201':
          description: Created brand kit
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Pekto API key (pekto_live_...), an OAuth 2.1 access token from Pekto
        sign-in (used by MCP clients), or a Pekto user session token.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.